Trigger an automation with an arbitrary JSON payload, which is passed to the automation as event context. Only automations with a slug set can be triggered.
curl -X POST https://api.tembo.io/automation/myAutomation/trigger \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"issue_url": "https://github.com/org/repo/issues/42"}'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task": "RunWorkflow",
"status": "pending",
"priority": 5,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}The slug of the automation to trigger. Set in the automation's properties panel.
"myAutomation"
Arbitrary JSON payload passed to the automation as event context. Your automation instructions can reference any values in this payload.
The body is of type object.
Automation triggered successfully
Unique identifier for the queued job
The type of job that was queued
"RunWorkflow"
Current status of the job
"pending"
Job priority
5
Was this page helpful?
curl -X POST https://api.tembo.io/automation/myAutomation/trigger \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"issue_url": "https://github.com/org/repo/issues/42"}'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task": "RunWorkflow",
"status": "pending",
"priority": 5,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}